
/* Chrysalide - Outil d'analyse de fichiers binaires
 * types.h - prototypes pour la constitution des types communs de JDWP
 *
 * Copyright (C) 2010-2017 Cyrille Bagard
 *
 *  This file is part of Chrysalide.
 *
 *  Chrysalide is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Chrysalide is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Chrysalide.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef _DEBUG_JDWP_MISC_TYPES_H
#define _DEBUG_JDWP_MISC_TYPES_H


#include <stdbool.h>


#include "../jdwp_def.h"
#include "../../../arch/archbase.h"



/* Lit une chaîne de caractères UTF-8 au format JDWP. */
bool get_jdwp_string(const bin_t *, off_t *, off_t, jdwp_string *);

/* Libère de la mémoire une chaîne de caractères UTF-8 JDWP. */
void free_jdwp_string(jdwp_string *);



#endif  /* _DEBUG_JDWP_MISC_TYPES_H */
